Bug 123768 - In-Reply-To: header in archive mailto: link is empty.
Summary: In-Reply-To: header in archive mailto: link is empty.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks: FC7Blocker 430469
TreeView+ depends on / blocked
 
Reported: 2004-05-20 14:44 UTC by David Woodhouse
Modified: 2008-01-28 10:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 13:54:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (1.54 KB, patch)
2006-10-05 09:23 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2004-05-20 14:44:04 UTC
Description of problem:
See http://canuck.infradead.org/pipermail/linux-mtd/2004-May/009761.html.

Click on the first link -- the mailto: link. Or allow the mouse to
hover over it in your browser or do whatever else you do to see the
link target.

It's as follows:

mailto:linux-mtd%40lists.infradead.org?Subject=Administivia%20--%20mailing%20list%20server%20changes.&In-Reply-To=

However, the In-Reply-To: header _should_ have contained the
Message-ID of the mail to which you'd be replying. If you look at the
mbox archive at
http://canuck.infradead.org/pipermail/linux-mtd/2004-May.txt it's
clear that the Message-ID is preserved by the archival process. It
seems to be the code which generates the HTML in the archive which is
at fault.

This breaks threading when using the web archive to reply to the list.

Actually, the Subject line should probably also have 'Re: ' prepended
in the mailto: link too, if the subject doesn't already start with 'Re: '.

This is mailman-2.1.4-4

Comment 1 Matthew Miller 2005-04-26 16:03:07 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 David Woodhouse 2006-10-05 09:11:03 UTC
I had a fix for this once; I thought I'd sent it to the mailman folks. I'll try
to dig it out.

Comment 3 David Woodhouse 2006-10-05 09:23:17 UTC
Created attachment 137808 [details]
Fix

Comment 4 David Woodhouse 2006-10-05 10:23:58 UTC
Patch applied to FC-[45] and devel branches.

Do we need to do anything special for RHEL5 or will it inherit from devel?

Comment 5 Tomas Smetana 2007-05-09 13:54:32 UTC
Fix is present also in RHEL-5.


Note You need to log in before you can comment on or make changes to this bug.